Skip to content

List Scenarios

GET
/api/v1/replay/scenarios
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/replay/scenarios?limit=20&include_archived=false' \
--header 'X-API-Key: <X-API-Key>'

List replay scenarios for the authenticated tenant.

limit
Limit
integer
default: 20 >= 1 <= 200
decision_id
Any of:
string

Filter by decision ID

tag
Any of:
string

Filter to scenarios whose tags array contains this value

include_archived
Include Archived

When false (default) soft-archived scenarios are hidden

boolean

When false (default) soft-archived scenarios are hidden

Successful Response

Media typeapplication/json
Response List Scenarios Api V1 Replay Scenarios Get
Array<object>
ScenarioResponse
object
archived_at
Any of:
string
created_at
required
Created At
string
decision_id
required
Decision Id
string
horizon_months
required
Horizon Months
integer
id
required
Id
string
name
required
Any of:
string
narrative
required
Any of:
string
note
required
Any of:
string
shared_with_tenant
Shared With Tenant
boolean
status
required
Status
string
tags
Tags
Array<string>
Example
[
{
"shared_with_tenant": false
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}